---
title: CSS Property Page Template
slug: MDN/Contribute/Howto/Document_a_CSS_property/Property_template
tags:
  - CSS
  - CSS Property
  - MDN Meta
  - Reference
  - Template
---
<p>{{MDNSidebar}}</p>

<div class="notecard note">
<p><span class="seoSummary">This is a template page for CSS property. Please use this as a raw template when you create a new CSS property page.</span><br>
 <em>Comment in italics are information about how to use part of the template</em></p>
</div>

<p>{{CSSRef}}</p>

<p><em>Add the non-standard header if the property is not on the standard track. In the summary section, in a note, describe how to achieve its effect using standard Open Web technologies.</em></p>

<p>{{Non-standard_Header}}</p>

<p><em>Add the experimental header if in your judgement the property's behavior is likely to change in future, for example because of very immature specifications or competing incompatible implementations.</em></p>

<p>{{SeeCompatTable}}</p>

<p><em>Description of the property. It must start by "The <code>xyz</code> CSS property" followed by a one-sentence description. The first paragraph of this introduction will be used by default as the description of the page.</em></p>

<div class="notecard note">
<p><strong>Note:</strong> Placeholder for any special messages.</p>
</div>

<p><em>But don't add several notes. It should be really important, or be part of the description!</em></p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: css;">/* Keyword values */
property: value1;
property: value2;

/* &lt;length&gt; values */
property: 12.8em;   /* A valid length */

/* Global values */
property: inherit;  /* &lt;-- To remember those are a possible values */
property: initial;
property: unset;
</pre>

<p><em>The second part of the is a simple translation of the what the formal syntax tells. It is aimed at medium-level users that will not understand well the formal syntax. </em></p>

<h3 id="Values">Values</h3>

<p><em>Each element of the formal syntax must be explained</em></p>

<dl>
 <dt><code>value_1</code></dt>
 <dd>Is a keyword meaning...</dd>
 <dt><code>value_2</code> {{Non-standard_Inline}} {{Experimental_Inline}}</dt>
 <dd>Is a keyword meaning</dd>
</dl>

<h3 id="Formal_syntax">Formal syntax</h3>

<p><em>The formal syntax must be taken from the spec and added to the <a href="https://github.com/mdn/data">MDN data repository</a>. It is an important tool to get precise syntax information for advanced users.</em></p>

<pre class="syntaxbox">{{CSSSyntax}}</pre>

<h2 id="Examples">Examples</h2>

<p><em>Add this only if there is such an example. No dead link here.</em></p>

<h3 id="CSS">CSS</h3>

<pre class="brush:css"><em>elementName {
  property: value;
  thisis: "example";
  dream: 10000000mm;
  love: "danger";
}</em></pre>

<h3 id="HTML">HTML</h3>

<pre class="brush: html"><em>&lt;elementName&gt;foo bar&lt;/elementName&gt;</em></pre>

<h3 id="Result">Result</h3>

<p><em>{{EmbedLiveSample("Examples")}}</em></p>

<h2 id="Specifications">Specifications</h2>

<p><em>Exclusively use this standard table. Place older spec on the bottom. Use the templates SpecName() for the name and Spec2() for the status. That way, when the spec progress on the standard track, or move, the table content will be automatically adapted.</em></p>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS3 Animations", "#fake-link", "fake-value")}}</td>
   <td>{{Spec2("CSS3 Animations")}}</td>
   <td>No change from CSS 2.1</td>
  </tr>
  <tr>
   <td>{{SpecName("CSS2.1", "#fake-link", "fake value")}}</td>
   <td>{{Spec2("CSS2.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<p>{{CSSInfo}}</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p><em>(See <a href="/Project:en/Compatibility_tables" title="Project:en/Compatibility_tables">Compatibility tables</a> for more information)</em></p>

<p>{{Compat("css.property.<em>property-name</em>")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><em>Links of link of related properties: {{CSSxRef("example-property")}}</em></li>
 <li><em>Links to article showing how to use the property in context: "Using … article"</em></li>
 <li><em>Very good external links. Don't be afraid of external links, but they should be outstanding, and not only mention minor details.</em></li>
</ul>
